# Copyright (c) 2004-2006 Bethel University. All rights reserved.
# See also gpl.txt

from Products.Silva.ExtensionRegistry import extensionRegistry
from Products.SilvaMetadata.Compatibility import registerTypeForMetadata
from Products.Silva.ImporterRegistry import importer_registry

import Stylesheet
from silvaxml import xmlexport, xmlimport
import install

def initialize(context):

    #------------------------------
    # Initialize the XML registries
    #------------------------------
    
    xmlexport.initializeXMLExportRegistry()
    xmlimport.initializeXMLImportRegistry()

    #import the upgrader...need to add the _inherit_styles attribute
    import upgrade_21
    upgrade_21.initialize()
    
